# Glitch City Laboratories Archives

Glitch City Laboratories closed on 1 September 2020 (announcement). This is an archived copy of a thread from Glitch City Laboratories Forums.

You can join Glitch City Research Institute to ask questions or discuss current developments.

You may also download the archive of this forum in .tar.gz, .sql.gz, or .sqlite.gz formats.

## Rate My Team

### All psychic team for Red. - Page 1

Previous Page

- 1

Next Page

#### All psychic team for Red.

Posted by: Vivi Ornitier
Date: 2009-01-18 09:22:52
Mewtwo
-Psychic
-Amnesia
-Recover
-Ice Beam
Mew
-Swords Dance
-Earthquake
-Body Slam
-Softboiled
Alakazam
-Psychic
-Recover
-Ice Punch
-Thunder Punch
Starmie
-Recover
-Thunder Wave
-Surf
-Thunderbolt
Exeggcutor
-Sleep Powder
-Psychic
-Explosion
-Mega Drain
Slowbro
-Amnesia
-Psychic
-Surf
-Rest
Any ideas on improvement?

#### Re: All psychic team for Red.

Posted by: BLMNDEF
Date: 2009-02-09 19:35:27
Put Mew in first place he's the most powerful pokemon in existince his power matches arceus's

#### Re: All psychic team for Red.

Posted by: Axaj
Date: 2009-02-09 20:23:24

> Put Mew in first place he's the most powerful pokemon in existince his power matches arceus's

Arceus has the highest overall stats.

#### Re: All psychic team for Red.

Posted by: BLMNDEF
Date: 2009-02-10 06:37:24

> > Put Mew in first place he's the most powerful pokemon in existince his power matches arceus's

> Arceus has the highest overall stats.

Mew's matches arceus.

#### Re: All psychic team for Red.

Posted by: Zowayix
Date: 2009-02-10 23:05:02
Mew's base stat total is 600, while Arceus has 720. So actually it doesn't.

#### Re: All psychic team for Red.

Posted by: BLMNDEF
Date: 2009-02-11 07:15:49
Well my mew matches my arceus's so from my perspective they match.

#### Re: All psychic team for Red.

Posted by: Axaj
Date: 2009-02-11 20:15:06
http://www.serebii.net/pokedex-dp/stat/all.shtml
EPIC PHAIL.

#### Re: All psychic team for Red.

Posted by: BLMNDEF
Date: 2009-02-12 06:38:53
I didn't mean just any arceus and mew i meant MY arceus and MY mew have eaqual stats.
Previous Page

- 1

Next Page